> ## Documentation Index
> Fetch the complete documentation index at: https://docs.minaexplorer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Broadcast Transaction

> Broadcasts a signed transaction to the Mina blockchain



## OpenAPI

````yaml rest-api/openapi.json post /broadcast/transaction
openapi: 3.0.0
info:
  title: REST API
  version: '1.0'
  contact:
    name: 'MinaExplorer '
    email: support@minaexplorer.com
    url: https://docs.minaexplorer.com/minaexplorer/get-help
  termsOfService: https://docs.minaexplorer.com/minaexplorer/website-terms-of-service
  description: >-
    A REST API for the latest Mina Blockchain Data. For all archived data, use
    the GraphQL API.
servers:
  - url: https://api.minaexplorer.com
security: []
tags:
  - name: broadcast
    description: Broadcast signed transactions to the network
  - name: blocks
    description: Get block data
  - name: accounts
    description: Get account data
  - name: blockchain
    description: Return summary information about the blockchain
paths:
  /broadcast/transaction:
    parameters: []
    post:
      tags:
        - broadcast
      summary: Broadcast Transaction
      description: Broadcasts a signed transaction to the Mina blockchain
      operationId: post-broadcast
      requestBody:
        content:
          application/json:
            schema:
              description: ''
              type: object
              properties:
                publicKey:
                  type: string
                  minLength: 1
                signature:
                  type: object
                  required:
                    - field
                    - scalar
                  properties:
                    field:
                      type: string
                      minLength: 1
                    scalar:
                      type: string
                      minLength: 1
                payload:
                  type: object
                  required:
                    - to
                    - from
                    - fee
                    - amount
                    - nonce
                    - memo
                    - validUntil
                  properties:
                    to:
                      type: string
                      minLength: 1
                    from:
                      type: string
                      minLength: 1
                    fee:
                      type: string
                      minLength: 1
                    amount:
                      type: string
                      minLength: 1
                    nonce:
                      type: string
                      minLength: 1
                    memo:
                      type: string
                      minLength: 1
                    validUntil:
                      type: string
                      minLength: 1
              required:
                - publicKey
                - signature
                - payload
            examples:
              Send Payment:
                value:
                  publicKey: B62qogU1qY33L8jwRmkwjN42xpSNrv8UkxaKrRFZxJSgbaNRMtpMTg7
                  signature:
                    field: >-
                      1463302494432670246352080493267751231232508175048073643764003597745600926575
                    scalar: >-
                      3355463546888926913704696844669949255125610568097462660485775018728400057838
                  payload:
                    to: B62qogU1qY33L8jwRmkwjN42xpSNrv8UkxaKrRFZxJSgbaNRMtpMTg7
                    from: B62qogU1qY33L8jwRmkwjN42xpSNrv8UkxaKrRFZxJSgbaNRMtpMTg7
                    fee: '10000000000'
                    amount: '1000000000'
                    nonce: '1325'
                    memo: SDK payment
                    validUntil: '4294967295'
        description: Signed transaction
      responses:
        '201':
          description: Sucessfully broadcast transaction
          content:
            application/json:
              schema:
                description: ''
                type: object
                properties:
                  message:
                    type: string
                    minLength: 1
                  result:
                    type: object
                    properties:
                      payment:
                        type: object
                        properties:
                          amount:
                            type: string
                            minLength: 1
                          fee:
                            type: string
                            minLength: 1
                          feePayer:
                            type: object
                            properties:
                              publicKey:
                                type: string
                                minLength: 1
                              token:
                                type: string
                                minLength: 1
                            required:
                              - publicKey
                              - token
                          feeToken:
                            type: string
                            minLength: 1
                          from:
                            type: string
                            minLength: 1
                          fromAccount:
                            type: object
                            properties:
                              publicKey:
                                type: string
                                minLength: 1
                              token:
                                type: string
                                minLength: 1
                            required:
                              - publicKey
                              - token
                          hash:
                            type: string
                            minLength: 1
                          id:
                            type: string
                            minLength: 1
                          isDelegation:
                            type: boolean
                          kind:
                            type: string
                            minLength: 1
                          memo:
                            type: string
                            minLength: 1
                          nonce:
                            type: number
                          receiver:
                            type: object
                            properties:
                              publicKey:
                                type: string
                                minLength: 1
                              token:
                                type: string
                                minLength: 1
                            required:
                              - publicKey
                              - token
                          source:
                            type: object
                            properties:
                              publicKey:
                                type: string
                                minLength: 1
                              token:
                                type: string
                                minLength: 1
                            required:
                              - publicKey
                              - token
                          to:
                            type: string
                            minLength: 1
                          token:
                            type: string
                            minLength: 1
                          toAccount:
                            type: object
                            properties:
                              token:
                                type: string
                                minLength: 1
                              publicKey:
                                type: string
                                minLength: 1
                            required:
                              - token
                              - publicKey
                        required:
                          - amount
                          - fee
                          - feePayer
                          - feeToken
                          - from
                          - fromAccount
                          - hash
                          - id
                          - isDelegation
                          - kind
                          - memo
                          - nonce
                          - receiver
                          - source
                          - to
                          - token
                          - toAccount
                    required:
                      - payment
                required:
                  - message
                  - result
              examples:
                Successful payment:
                  value:
                    message: Transaction broadcast sucessfully
                    result:
                      payment:
                        amount: '1000000000'
                        fee: '1000000000'
                        feePayer:
                          publicKey: >-
                            B62qogU1qY33L8jwRmkwjN42xpSNrv8UkxaKrRFZxJSgbaNRMtpMTg7
                          token: '1'
                        feeToken: '1'
                        from: >-
                          B62qogU1qY33L8jwRmkwjN42xpSNrv8UkxaKrRFZxJSgbaNRMtpMTg7
                        fromAccount:
                          publicKey: >-
                            B62qogU1qY33L8jwRmkwjN42xpSNrv8UkxaKrRFZxJSgbaNRMtpMTg7
                          token: '1'
                        hash: Ckpa3UpAHUkY9Y11fMWevSvK8maoJJMSu4vXJjs7jmSVTHUNDU9Tg
                        id: >-
                          PSJ6tbskxprEcubiji3k6ueCoJZpvvY7sD7Tp3RC4heN2TmMeXpZNchEyHZB4oMBnpF6DgLUZiYiZzMRsuS9tGgRvWfRXpKL2jxzsxtPxobePkTS86jE5xvKjeQYWqNNYHfyTRLdT1ScrbtZ45gu1Ldn3g25MFm4Xz2cEFmhyAojkea3tbkANjq3suntmKxiXMQEKrgrutELSQhxL84yQYQ3tcvwjPuPJ73Qg6tDNq1VQVxRmvYMQycxP7YWJEkG7zJhnpgpgHoDjvkLCeZnhn7ZeFCymCKFCPPviwaMSMDJydNLCmXUPzk59Tb7pZjTLX7XdCqDtp1XYCG86Af5BBDFL3QiSzTogRAqS3UTCYXb29u6MtrRBZ9UdAYWmtKLhqjoxCc3Grg3x
                        isDelegation: false
                        kind: PAYMENT
                        memo: E4Ynos3grz8wHZ8KeSxi9phNNveszXa86qYm3ZuQUZvRyafwZQ1ND
                        nonce: 1329
                        receiver:
                          publicKey: >-
                            B62qpge4uMq4Vv5Rvc8Gw9qSquUYd6xoW1pz7HQkMSHm6h1o7pvLPAN
                          token: '1'
                        source:
                          publicKey: >-
                            B62qogU1qY33L8jwRmkwjN42xpSNrv8UkxaKrRFZxJSgbaNRMtpMTg7
                          token: '1'
                        to: >-
                          B62qpge4uMq4Vv5Rvc8Gw9qSquUYd6xoW1pz7HQkMSHm6h1o7pvLPAN
                        token: '1'
                        toAccount:
                          token: '1'
                          publicKey: >-
                            B62qpge4uMq4Vv5Rvc8Gw9qSquUYd6xoW1pz7HQkMSHm6h1o7pvLPAN
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                description: ''
                type: object
                properties:
                  message:
                    type: string
                    minLength: 1
                  error:
                    type: string
                    minLength: 1
                required:
                  - message
                  - error
              examples:
                Failed Payment:
                  value:
                    message: Error in sending transaction
                    error: >-
                      Query failed -- returned code 200.
                      mutation($from:PublicKey!, $to:PublicKey!,
                      $amount:UInt64!, $fee:UInt64!, $memo:String,
                      $scalar:String, $field:String){ sendPayment(input: {
                      from:$from, to:$to, amount:$amount, fee:$fee, memo:$memo,
                      }, signature:{ scalar: $scalar, field: $field, }) {
                      payment { id, isDelegation, nonce, from, to, amount, fee,
                      memo } } }
            application/xml:
              schema:
                type: object
                properties: {}
              examples: {}

````